#include <openssl/bio.h>
#include <openssl/ssl.h>
#include <openssl/err.h>
#include "netex.h"
#include "storage.h"


void netex_init(void)
{
    // Config
    const int config_loaded = load_config();
    if (config_loaded != 0)
    {
        ERROR("Failed to load config! Shutting down...");
        exit(EXIT_FAILURE);
    }

    // OpenSSL
    PRINT_LINE("Initializing OpenSSL...");
    SSL_load_error_strings();
    SSL_library_init();
    OpenSSL_add_all_algorithms();
}
void netex_shutdown(void)
{
    // Config
    save_config();

    // OpenSSL
    ERR_free_strings();
    EVP_cleanup();
}